#! /bin/sh
#
# $Id: enumerate.sh,v 1.2 2010/05/03 21:32:19 juli Exp $

# Enumeration.
enumerate() {
	if [ ! -d $1 ]; then
		echo
	fi
	find $1 -name CVS -prune -o -type f -print | perl -pe "s,$1/,,"
}

enumerate_hosts() {
	enumerate $BOM_HOSTCONFDIR
}

enumerate_kernels() {
	enumerate $BOM_KERNELCONFDIR
}

enumerate_worlds() {
	enumerate $BOM_WORLDCONFDIR
}

enumerate_apply() {
	type="$1"
	shift

	function="$1"
	shift

	enumerate_${type} | while read _item; do
		${function} ${_item} "$@"
	done
}
