#! /bin/sh
#
# $Id: check.sh,v 1.1 2010/05/03 21:24:57 juli Exp $

# Checks.
check() {
	if [ ! -f $1 ]; then
		error $1 does not exist
	fi
}

check_host() {
	host="$1"

	check $BOM_HOSTCONFDIR/$host
}

check_kernel() {
	kernel="$1"

	check $BOM_KERNELCONFDIR/$kernel
}

check_world() {
	world="$1"

	check $BOM_WORLDCONFDIR/$world
}
