#! /bin/sh
#
# $Id: list.sh,v 1.2 2010/05/05 01:03:07 juli Exp $

# List.
list_host() {
	host="$1"

	check_host $host

	. $BOM_HOSTCONFDIR/$host

	echo host $host
	echo -n 'state ' ; statefile host $host
	echo -n 'log ' ; logfile host $host
	list_kernel $kernel
	list_world $world
}

list_kernel() {
	kernel="$1"

	check_kernel $kernel

	. $BOM_KERNELCONFDIR/$kernel
	echo kernel $kernel
	echo -n 'state ' ; statefile kernel $kernel
	echo -n 'log ' ; logfile kernel $kernel
}

list_world() {
	world="$1"

	check_world $world

	. $BOM_WORLDCONFDIR/$world
	echo world $world
	echo -n 'state ' ; statefile world $world
	echo -n 'log ' ; logfile world $world
}
