#! /bin/sh
#
# $Id: state.sh,v 1.4 2010/05/05 00:57:59 juli Exp $

# State-tracking.
state() {
	kind="$1"
	shift

	tag="$1"
	shift

	state="$1"
	shift

	( echo -n $state: ; date_tag ) >> `statefile $kind $tag`
}

statefile() {
	kind="$1"
	shift

	tag="$1"
	shift

	basedir=""
	case $kind in
	host)
		basedir=$BOM_HOSTDEPLOYDIR
		;;
	kernel)
		basedir=$BOM_KERNELOBJDIR
		;;
	world)
		basedir=$BOM_WORLDOBJDIR
		;;
	esac
	echo $basedir/$kind-`echo -n $tag | md5 -q`
}
